org.fourthline.cling.binding.xml

## Class UDA10ServiceDescriptorBinderSAXImpl.RootHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.seamless.xml.SAXParser.Handler<I>
    - - org.fourthline.cling.binding.xml.UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<MutableService>
      - - org.fourthline.cling.binding.xml.UDA10ServiceDescriptorBinderSAXImpl.RootHandler

- All Implemented Interfaces:
    ContentHandler, DTDHandler, EntityResolver, ErrorHandler
  Enclosing class:
    UDA10ServiceDescriptorBinderSAXImpl

      protected static class UDA10ServiceDescriptorBinderSAXImpl.RootHandler
      extends UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<MutableService>

- - ### Field Summary

    - ### Fields inherited from class org.seamless.xml.SAXParser.Handler

      `attributes, characters, instance, parent, parser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UDA10ServiceDescriptorBinderSAXImpl.RootHandler(MutableService instance, org.seamless.xml.SAXParser parser)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `startElement(Descriptor.Service.ELEMENT element, Attributes attributes)`

    - ### Methods inherited from class org.fourthline.cling.binding.xml.UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler

      `endElement, endElement, isLastElement, isLastElement, startElement`

    - ### Methods inherited from class org.seamless.xml.SAXParser.Handler

      `characters, getAttributes, getCharacters, getInstance, getParent, getParser, switchToParent`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UDA10ServiceDescriptorBinderSAXImpl.RootHandler

          public UDA10ServiceDescriptorBinderSAXImpl.RootHandler(MutableService instance,
                                                         org.seamless.xml.SAXParser parser)

  - ### Method Detail

    - #### startElement

          public void startElement(Descriptor.Service.ELEMENT element,
                          Attributes attributes)
                            throws SAXException

      Overrides:
        `startElement` in class `UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<MutableService>`
      Throws:
        `SAXException`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.